#{extends 'border.html'/}
<div class="container">
#{form @masterdata.InstansiSatkerCtr.createSubmit(), method:'POST', class:'form-horizontal'}
    
    <div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
				<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
				<li><a href="@{masterdata.InstansiSatkerCtr.index()}">&{'instansi.label'}</a></li>
				<li class="active">&{'tambah.label'} &{'instansi.label'}</li>
			</ol>
			<!-- End Breadcrumb -->
		</div>
	</div>
	
	<div class="row">
		<div class="col-md-12">
			<!-- Toolbar -->
			<div class="toolbar">
				#{backButton/}
				#{saveButton/}
			</div>
			<!-- End Toolbar -->
		</div>
	</div>

    <div class="row">
    	<div class="col-md-12">
    		<div class="panel panel-default">
    			<div class="panel-body">
					#{alert /}
    				<div class="toolbar">
    					<a id="addInput" class="btn btn-primary"><i class="fa fa-plus"></i> &{'tambah.label'}</a>
    					<a id="removeAllInput" class="btn btn-danger"><i class="fa fa-trash"></i> &{'kosongkan.label'}</a>
    				</div>
    				
    				<table class="table table-condensed">
			            <thead>
			            	<tr>
			            		<th width="15">&{'nomor.label'}</th>
			            		<th>&{'nama_instansi.label'}</th>
			            	</tr>
			            </thead>
			            <tbody id="inputForm">
						#{if instansiList != null}
							#{list items:instansiList, as:'instansi'}
								<tr>
									<td>
										<a id="removeInput" class="btn btn-danger"><i class="fa fa-trash"></i></a>
									</td>
									<td class="#{errorClass 'instansi_'+instansi_index/}">
										<input class="form-control" name="nama_instansi_arr" value="${instansi}"/>
										<span class="help-block">#{error 'instansi_'+instansi_index /}</span>
									</td>
								</tr>
							#{/list}
						#{/if}
						#{else}
							<tr>
								<td>
									<a id="removeInput" class="btn btn-danger"><i class="fa fa-trash"></i></a>
								</td>
								<td><input class="form-control" name="nama_instansi_arr"/></td>
							</tr>
						#{/else}
			            </tbody>
			        </table>
    			</div>
    		</div>
    	</div>
    </div>
    
#{/form}
</div>

#{set 'moreScripts'}
<script type="text/javascript">
    jQuery(document).ready(function($) {
		$("#addInput").on("click",function(){
			var str = "<tr><td><a id='removeInput' class='btn btn-danger'><i class='fa fa-trash'></i></a></td><td><input class='form-control' name='nama_instansi_arr'/></td></tr>";
			$("#inputForm").append(str);
		});

		$("body").on("click","#removeInput",function(){
			$(this).parent().parent().remove();
		});

		$("#removeAllInput").on("click",function(){
			$("#inputForm tr").remove();
		});
    });
</script>
#{/set}